<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li class="current"><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_r.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>read()
: <a class="el" href="classerpc_1_1_basic_codec.html#ae2bf041e34d2181f021cae256d05e76b">erpc::BasicCodec</a>
, <a class="el" href="classerpc_1_1_codec.html#a7e96770ca212c00480381c4f0f54a3ff">erpc::Codec</a>
, <a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#a13613fadb3bb88585f5802ff845259a4">erpc::MessageBuffer::Cursor</a>
</li>
<li>readBinary()
: <a class="el" href="classerpc_1_1_basic_codec.html#a286da2fb516cab0063b3ce9307cd557c">erpc::BasicCodec</a>
, <a class="el" href="classerpc_1_1_codec.html#a9f2fb79b05e89fc1c8a49454fd39e152">erpc::Codec</a>
</li>
<li>readNullFlag()
: <a class="el" href="classerpc_1_1_basic_codec.html#a7bb45d1d9a0cbe45ccdaad319efa4294">erpc::BasicCodec</a>
, <a class="el" href="classerpc_1_1_codec.html#afbbf5fb4b8fcbae3d99d7314a6aac995">erpc::Codec</a>
</li>
<li>readString()
: <a class="el" href="classerpc_1_1_basic_codec.html#a681be30bb9490f5df171ac161957eb50">erpc::BasicCodec</a>
, <a class="el" href="classerpc_1_1_codec.html#a29c01cadcd7cd544c2248899d9d7cb2d">erpc::Codec</a>
</li>
<li>receive()
: <a class="el" href="classerpc_1_1_framed_transport.html#a206f88e12844d6650c1611eefbec2fe3">erpc::FramedTransport</a>
, <a class="el" href="classerpc_1_1_inter_thread_buffer_transport.html#afc8619a2b970c2c5fbdfa7e464b2fbf4">erpc::InterThreadBufferTransport</a>
, <a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#a96e5732fce51c62826ebecb867a8c760">erpc::RPMsgZCRTOSTransport</a>
, <a class="el" href="classerpc_1_1_r_p_msg_z_c_transport.html#a6b546b63b1ebca13292073a19028d582">erpc::RPMsgZCTransport</a>
, <a class="el" href="classerpc_1_1_transport.html#a3f886733620e1a2fe00d12f36711dde5">erpc::Transport</a>
, <a class="el" href="classerpc_1_1_transport_arbitrator.html#a57178dc83b44f3147edf84560ada7650">erpc::TransportArbitrator</a>
</li>
<li>releaseRequest()
: <a class="el" href="classerpc_1_1_client_manager.html#adaef79f3392683e2135e3873fa20bc72">erpc::ClientManager</a>
</li>
<li>RequestContext()
: <a class="el" href="classerpc_1_1_request_context.html#ae48f8baa20da5d4ac5da77e83758e6a5">erpc::RequestContext</a>
</li>
<li>reset()
: <a class="el" href="classerpc_1_1_codec.html#a9be084e154883188d26fbad05ff2c7b9">erpc::Codec</a>
</li>
<li>rpmsg_read_cb()
: <a class="el" href="classerpc_1_1_r_p_msg_z_c_transport.html#a82696b9e2515f9d4f6ade63803a768d3">erpc::RPMsgZCTransport</a>
</li>
<li>RPMsgZCMessageBufferFactory()
: <a class="el" href="class_r_p_msg_z_c_message_buffer_factory.html#aae346bf852c606bab49c203710f7f1b7">RPMsgZCMessageBufferFactory</a>
</li>
<li>RPMsgZCRTOSTransport()
: <a class="el" href="classerpc_1_1_r_p_msg_z_c_r_t_o_s_transport.html#adf462516a694448ebc62e9a3dcbbb0d9">erpc::RPMsgZCRTOSTransport</a>
</li>
<li>RPMsgZCTransport()
: <a class="el" href="classerpc_1_1_r_p_msg_z_c_transport.html#aa9b22f6256d8efbe9008b40421279b9d">erpc::RPMsgZCTransport</a>
</li>
<li>run()
: <a class="el" href="classerpc_1_1_server.html#abf1f88034b1868c865287d6aaa3c93c9">erpc::Server</a>
, <a class="el" href="classerpc_1_1_simple_server.html#a55b93fa3880b659fb6a9b1d02ebb2628">erpc::SimpleServer</a>
</li>
<li>runInternal()
: <a class="el" href="classerpc_1_1_simple_server.html#a2b30dc123a591d0dbf313dfe4d93176a">erpc::SimpleServer</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
